Summary: System manual pages - Spanish versions
Name: man-pages-es
Version: 0.7a
Release: 1
Copyright: Varios (distributable)
Group:  Documentation
Packager: Juan Piernas Cnovas <piernas@ditec.um.es>
Source: http://www.ditec.um.es/~piernas/manpages-es/man-pages-es-0.7a.tar.gz
Source1: makewhatis.es
# Lo siguiente es un directorio temporal donde se construirn los ficheros
# que luego compondrn el paquete.
BuildRoot: /usr/tmp/man-pages-es-root
Icon: books-es.gif
URL: http://www.ditec.um.es/~piernas/manpages-es/
BuildArchitectures: noarch
Requires: mktemp, man >= 1.4
Obsoletes: manpages-es
Summary(es_ES): Pginas de manual de Linux en castellano
Summary(es): Pginas de manual de Linux en castellano

%description
Linux man pages in spanish

%description -l es
Pginas de manual en espaol para Linux. Esta versin traduce la versin
1.22 de las pginas de manual en ingls y aade otras pginas procedentes
de otros paquetes (vea el fichero /usr/doc/man-pages-es-0.7a/EXTRA para ms
informacin). Como podr comprobar, se trata de una versin alfa por lo que
puede encontrar bastantes errores. Cualquier sugerencia, correccin o
crtica constructiva ser bien recibida. Puede ponerse en contacto con el
responsable del proyecto enviando un e-mail a piernas@ditec.um.es. Para ms
informacin, lea los ficheros LEEME y PROYECTO que encontrar en el
directorio /usr/doc/man-pages-es-0.7a.

%description -l es_ES
Pginas de manual en espaol para Linux. Esta versin traduce la versin
1.22 de las pginas de manual en ingls y aade otras pginas procedentes
de otros paquetes (vea el fichero /usr/doc/man-pages-es-0.7a/EXTRA para ms
informacin). Como podr comprobar, se trata de una versin alfa por lo que
puede encontrar bastantes errores. Cualquier sugerencia, correccin o
crtica constructiva ser bien recibida. Puede ponerse en contacto con el
responsable del proyecto enviando un e-mail a piernas@ditec.um.es. Para ms
informacin, lea los ficheros LEEME y PROYECTO que encontrar en el
directorio /usr/doc/man-pages-es-0.7a.

%prep

%setup -n man-pages-es-%{PACKAGE_VERSION}

# Lo que viene a continuacin se utiliza a la hora de construir el paquete a
# partir de los fuentes.
%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/es/man{1,2,3,4,5,6,7,8}
mkdir -p $RPM_BUILD_ROOT/var/catman/es/cat{1,2,3,4,5,6,7,8}
make MANDIR=$RPM_BUILD_ROOT/usr/man/es

mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
install -m 755 $RPM_SOURCE_DIR/makewhatis.es $RPM_BUILD_ROOT/usr/local/sbin/makewhatis.es

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-es.cron << EOF
#!/bin/bash
/usr/local/sbin/makewhatis.es /usr/man/es
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-es.cron

%post
if grep makewhatis.es /etc/cron.weekly/makewhatis.cron >& /dev/null
then
	TMPFILE=`mktemp ${TMPDIR:-/tmp}/tmp$0$$.XXXXXX`
        cat /etc/cron.weekly/makewhatis.cron | grep -v '^/usr/local/sbin/makewhatis.es' > $TMPFILE
        cat $TMPFILE > /etc/cron.weekly/makewhatis.cron
        rm $TMPFILE
fi
/usr/local/sbin/makewhatis.es /usr/man/es

echo
echo "No olvide configurar el programa man y sus fuentes de pantalla"
echo "para poder ver correctamente las pginas de manual. El fichero"
echo "LEEME le dice como hacerlo."
echo

%clean
rm -r $RPM_BUILD_ROOT

%files
%doc PROYECTO LEEME EXTRA
%dir /usr/man/es
/usr/man/es/man?
/var/catman/es
/usr/local/sbin/makewhatis.es
%config /etc/cron.weekly/makewhatis-es.cron

%preun

%postun
echo
echo "Para que la desinstalacin est completa, puede ser que tenga que"
echo "borrar manualmente los directorios /usr/doc/man-pages-es-0.7a"
echo "y /usr/man/es."
echo
